#include "common.h"
#include "misspell_log.h"

using namespace NSearchProxy::NLogging;

void TMisspellLog::LogError(const TString& reqid, const TString& message) {
    if (!TLoggerOperator<TMisspellLog>::Usage())
        return;
    TLoggerOperator<TMisspellLog>::Log() << NLoggingImpl::GetLocalTimeS()
        << '\t' << reqid
        << '\t' << message << Endl;
}
